curl https://api.u1.archetypeai.app/v0.5/lens/info \
-H "Authorization: Bearer $ATAI_API_KEY"
import requests
import os
api_key = os.environ.get("ATAI_API_KEY")
response = requests.get(
"https://api.u1.archetypeai.app/v0.5/lens/info",
headers={"Authorization": f"Bearer {api_key}"}
)
print(response.json())
const response = await fetch('https://api.u1.archetypeai.app/v0.5/lens/info', {
headers: {
'Authorization': `Bearer ${process.env.ATAI_API_KEY}`
}
});
const data = await response.json();
console.log(data);
{
"num_lenses": 29,
"num_mounted_lenses": 29,
"last_updated": 1765201323.1954613
}
{
"errors": [
{
"code": "unauthorized_request",
"message": "Unauthorized or invalid access.",
"suggestion": "Provide valid authentication credentials and ensure they have the required permissions.",
"error_uid": "err-xxxxxxxx"
}
]
}
Lens API
Get Lens Info
Retrieve high-level information about all lenses in your organization
GET
/
lens
/
info
curl https://api.u1.archetypeai.app/v0.5/lens/info \
-H "Authorization: Bearer $ATAI_API_KEY"
import requests
import os
api_key = os.environ.get("ATAI_API_KEY")
response = requests.get(
"https://api.u1.archetypeai.app/v0.5/lens/info",
headers={"Authorization": f"Bearer {api_key}"}
)
print(response.json())
const response = await fetch('https://api.u1.archetypeai.app/v0.5/lens/info', {
headers: {
'Authorization': `Bearer ${process.env.ATAI_API_KEY}`
}
});
const data = await response.json();
console.log(data);
{
"num_lenses": 29,
"num_mounted_lenses": 29,
"last_updated": 1765201323.1954613
}
{
"errors": [
{
"code": "unauthorized_request",
"message": "Unauthorized or invalid access.",
"suggestion": "Provide valid authentication credentials and ensure they have the required permissions.",
"error_uid": "err-xxxxxxxx"
}
]
}
Requires version 1.1.5 or later of the Archetype platform.
Overview
This endpoint returns summary information about all lenses available to your organization.Response
integer
Total number of lenses available to your organization
integer
Number of currently mounted (active) lenses
float
Unix timestamp of the last update to lens information
curl https://api.u1.archetypeai.app/v0.5/lens/info \
-H "Authorization: Bearer $ATAI_API_KEY"
import requests
import os
api_key = os.environ.get("ATAI_API_KEY")
response = requests.get(
"https://api.u1.archetypeai.app/v0.5/lens/info",
headers={"Authorization": f"Bearer {api_key}"}
)
print(response.json())
const response = await fetch('https://api.u1.archetypeai.app/v0.5/lens/info', {
headers: {
'Authorization': `Bearer ${process.env.ATAI_API_KEY}`
}
});
const data = await response.json();
console.log(data);
{
"num_lenses": 29,
"num_mounted_lenses": 29,
"last_updated": 1765201323.1954613
}
{
"errors": [
{
"code": "unauthorized_request",
"message": "Unauthorized or invalid access.",
"suggestion": "Provide valid authentication credentials and ensure they have the required permissions.",
"error_uid": "err-xxxxxxxx"
}
]
}
Was this page helpful?
⌘I